PATCH /runners/default-group
Sets or updates the default runner group for a specific VCS integration. The default runner is used when CI/CD workflows don't specify explicit runner labels.
In: header
Request Body
application/json
Set default group for runner set body
VCSIntegrationID is the connected GitHub org the default group applies to. Required — runner groups are per GitHub org, so the client always specifies which.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://api.warpbuild.com/api/v1/runners/default-group" \ -H "Content-Type: application/json" \ -d '{ "vcs_integration_id": "string" }'{
"group_id": 0,
"vcs_integration_id": "string"
}{
"code": "string",
"description": "string",
"message": "string",
"sub_code": "string",
"sub_message": "string"
}{
"code": "string",
"description": "string",
"message": "string",
"sub_code": "string",
"sub_message": "string"
}GET /runners
Lists all runner sets for the authenticated organization. Runner sets define the configuration templates for runner instances that will be provisioned when CI/CD jobs request matching labels. You can filter the results by image, provider, VCS integration, and other criteria using query parameters.
POST /runners
Creates a new runner set for the authenticated organization. A runner set defines the configuration template for runner instances that will be provisioned when CI/CD jobs request matching labels. You can create different types of runners: - **Stock runners**: WarpBuild managed runners with pre-configured images - **Custom runners**: Bring Your Own Cloud (BYOC) runners on AWS EC2, GCP, or Azure - **Custom image runners**: Runners with custom container images or custom AMIs